Subject: Re: [PATCH] gnu: Add os-prober.

From: [email-masked] (Ludovic Courtès)
Date: Mon, 11 Sep 2017 22:20:59 +0200

Arun Isaac <[email-masked]> skribis:

>>>> Would (copy-recursively "/some/directory" destination) work for you?
>>>
>>> No, it wouldn't. That would recreate /some/directory at the
>>> destination. I only want the files inside /some/directory to be copied,
>>> not /some/directory itself.
>>
>> Ah sorry.  Then yeah, either ‘scandir’ or ‘find-files’, whichever you
>> find is the least cumbersome.
>>
>> Feel free to push something along these lines!
>
> Not sure I follow you. Should I
>
> 1. push the patch I sent most recently
>
> OR
>
> 2. or add a #:recursive? argument to `find-files', and push a patch
> which uses this new `find-files'?
>
> IMO, approach 2 is a better idea, though it could be that we are adding
> too many keyword arguments to `find-files'.
>
> WDYT?

I’m for approach #1, go for it!  :-)

Approach #2 would take a full rebuild, and it would make ‘find-files’
equivalent to ‘scandir’, so not worth it IMO.

Sorry for being unclear!

Ludo’.